mtext_cmp(3m17n)

NAME
mtext_cmp - Compare two M-texts character-by-character.

SYNOPSIS
int mtext_cmp (MText * mt1, MText * mt2)

DESCRIPTION
Compare two M-texts character-by-character.

The mtext_cmp() function compares M-texts mt1 and mt2 character by character.

RETURN VALUE

    This function returns 1, 0, or -1 if mt1 is found greater than, equal to, or less than mt2, respectively. Comparison is based on character codes.

SEE ALSO

    mtext_ncmp(), mtext_casecmp(), mtext_ncasecmp(), mtext_compare(), mtext_case_compare()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.